// FILENAME:	IB_Furball.cs
//
// AUTHORS:  	Odipherous
//------------------------------------------------------------------------------

$missionName = "IB_Furball";



exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad()
{
   logStandardMissionStart();

   cdAudioCycle("Cyberntx", "Cloudburst", "Terror"); 
}

function player::onAdd(%this)
{
   say(%this, 0, "The Immortal Brotherhood welcomes you to.... Furball.");
}

function onMissionStart()
{
	initGlobalVars();
   
	
}

// Water Tower splash functionality
function structure::onDestroyed(%this, %attackerId){
	// Which water tower was destroyed?
	if(%this == getObjectId("MissionGroup\\Complex\\WaterTower1")){
		setShapeVisibility(getObjectId("MissionGroup\\Complex\\Splash1"), true);
		playAnimSequence(getObjectId("MissionGroup\\Complex\\Splash1"), 0, true);
	}
	else if(%this == getObjectId("MissionGroup\\Complex\\WaterTower2")){
		setShapeVisibility(getObjectId("MissionGroup\\Complex\\Splash2"), true);
		playAnimSequence(getObjectId("MissionGroup\\Complex\\Splash2"), 0, true);
	}
	else if(%this == getObjectId("MissionGroup\\B1\\WaterTower3")){
		setShapeVisibility(getObjectId("MissionGroup\\B1\\Splash3"), true);
		playAnimSequence(getObjectId("MissionGroup\\B1\\Splash3"), 0, true);
	}
	else if(%this == getObjectId("MissionGroup\\B2\\WaterTower4")){
		setShapeVisibility(getObjectId("MissionGroup\\B2\\Splash4"), true);
		playAnimSequence(getObjectId("MissionGroup\\B2\\Splash4"), 0, true);
	}

}


//If someone shoots Odi's Hideout, retribution is soon to follow.
//------------------------------------------------
function tur1::turret::onAdd(%this)
{
	$turret1=%this;
	order($turret1,ShutDown,true);
}
function tur2::turret::onAdd(%this)
{
	$turret2=%this;
	order($turret2,ShutDown,true);
}


function Odi::structure::onAttacked(%attacked,%attacker)
{

	order($turret1,ShutDown,false);
	order($turret1, Attack, %attacker);
	order($turret2,ShutDown,false);
	order($turret2, Attack, %attacker);
}
